Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.services.jbpm.cmd
Class CommandExecutor

    java.lang.Object
      org.jboss.soa.esb.services.jbpm.cmd.CommandExecutor

    public class CommandExecutor

extends java.lang.Object

Executes jBPM commands.

Author:
  schifest@heuristica.com.ar, Kurt Stam

Nested Class Summary
`protected static class` | `CommandExecutor.NewProcessInstancePerformer`

Field Summary
`protected static java.util.Map<Constants.OpCode,Command>` | `_values`
`protected static Command` | `CALLBACK_EXECUTOR`
`protected static Command` | `CANCEL_PROCESS_INSTANCE_EXECUTOR`
`protected static Command` | `SIGNAL_EXECUTOR`

Constructor Summary
`CommandExecutor()`

Method Summary
`Command` | `getCommand(java.lang.String commandString)`
`static CommandExecutor` | `getInstance()`
`static org.jbpm.command.CommandService` | `getJbpmCommandService()` Encapsulate obtention of jBPM CommandService.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CANCEL_PROCESS_INSTANCE_EXECUTOR

    protected static final Command CANCEL_PROCESS_INSTANCE_EXECUTOR

### SIGNAL_EXECUTOR

    protected static final Command SIGNAL_EXECUTOR

### CALLBACK_EXECUTOR

    protected static final Command CALLBACK_EXECUTOR

### _values

    protected static java.util.Map<Constants.OpCode,Command> _values

Constructor Detail

### CommandExecutor

    public CommandExecutor()

Method Detail

### getInstance

    public static CommandExecutor getInstance()

### getCommand

    public Command getCommand(java.lang.String commandString)
                       throws ConfigurationException

  Throws:
    `ConfigurationException`

### getJbpmCommandService

    public static org.jbpm.command.CommandService getJbpmCommandService()

  Encapsulate obtention of jBPM CommandService.

  Returns:
    CommandService

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD